#	SCCSID = @(#)vdh.awk   11.3 88/08/24

BEGIN {
    state=0;
}

{
    if (state == 0) {
	func = $1;
	type = $2;
	args = $3;
    }
    else {
	if ($1 != func) {
	    print "error: function missing or scrambled - ",func," ",$1;
	    exit;
	}
	i = index($0,"-");
	c = length($0)-i-1;
	desc = substr($0,i+2,c)

	printf "%-6s %s %s\n",type,func,args;
	printf "           %s\n",desc;
    }
    state = 1 - state;
}
